package com.steerinfo.meterwork.meterworkstoragesinglewgt.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="计量入库秤单只重量表")
public class MeterWorkStorageSingleWgt implements IBasePO<String> {
    /**
     * 计量单只重量编号(SINGLE_WGT_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="计量单只重量编号",required=true)
    private String singleWgtNo;

    /**
     * 计量点编号(BASE_SPOT_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="计量点编号",required=false)
    private String baseSpotNo;

    /**
     * 计量点名称(BASE_SPOT_NAME,VARCHAR,40)
     */
    @ApiModelProperty(value="计量点名称",required=false)
    private String baseSpotName;

    /**
     * 计量班次(METER_CLASS,VARCHAR,20)
     */
    @ApiModelProperty(value="计量班次",required=false)
    private String meterClass;

    /**
     * 计量班组(METER_GROUP,VARCHAR,20)
     */
    @ApiModelProperty(value="计量班组",required=false)
    private String meterGroup;

    /**
     * 牌号编号（钢号编码）(GRADE_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="牌号编号（钢号编码）",required=false)
    private String gradeNo;

    /**
     * 牌号名称（钢号名称）(GRADE_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="牌号名称（钢号名称）",required=false)
    private String gradeName;

    /**
     * 规格编号(SPEC_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="规格编号",required=false)
    private String specNo;

    /**
     * 规格名称(SPEC_NAME,VARCHAR,100)
     */
    @ApiModelProperty(value="规格名称",required=false)
    private String specName;

    /**
     * 单只重量(SINGLE_WEIGHT,DECIMAL,15)
     */
    @ApiModelProperty(value="单只重量",required=false)
    private BigDecimal singleWeight;

    /**
     * 生产日期(PRODUCT_DATE,TIMESTAMP,7)
     */
    @ApiModelProperty(value="生产日期",required=false)
    private Date productDate;

    /**
     * 状态(1=有效，0=无效)(VALUE_FLAG,VARCHAR,1)
     */
    @ApiModelProperty(value="状态(1=有效，0=无效)",required=false)
    private String valueFlag;

    /**
     * 备注(MEMO,VARCHAR,200)
     */
    @ApiModelProperty(value="备注",required=false)
    private String memo;

    /**
     * 创建人编号(CREATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="创建人编号",required=false)
    private String createManNo;

    /**
     * 创建人姓名(CREATE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="创建人姓名",required=false)
    private String createManName;

    /**
     * 创建时间(CREATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="创建时间",required=false)
    private Date createTime;

    /**
     * 修改人编号(UPDATE_MAN_NO,VARCHAR,20)
     */
    @ApiModelProperty(value="修改人编号",required=false)
    private String updateManNo;

    /**
     * 修改人姓名(UPDATE_MAN_NAME,VARCHAR,30)
     */
    @ApiModelProperty(value="修改人姓名",required=false)
    private String updateManName;

    /**
     * 修改时间(UPDATE_TIME,TIMESTAMP,7)
     */
    @ApiModelProperty(value="修改时间",required=false)
    private Date updateTime;

    /**
     * 重量类型（0=单只实际重量，1=预报理论重量，2=标准件重量）(WEIGHT_TYPE,VARCHAR,20)
     */
    @ApiModelProperty(value="重量类型（0=单只实际重量，1=预报理论重量，2=标准件重量）",required=false)
    private String weightType;

    /**
     * 重量差值（预报理论重量、标准件重量）(WEIGHT_DIFF,DECIMAL,15)
     */
    @ApiModelProperty(value="重量差值（预报理论重量、标准件重量）",required=false)
    private BigDecimal weightDiff;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.singleWgtNo;
    }

    @Override
    public void setId(String singleWgtNo) {
        this.singleWgtNo = singleWgtNo == null ? null : singleWgtNo.trim();
    }

    public String getSingleWgtNo() {
        return singleWgtNo;
    }

    public void setSingleWgtNo(String singleWgtNo) {
        this.singleWgtNo = singleWgtNo == null ? null : singleWgtNo.trim();
    }

    public String getBaseSpotNo() {
        return baseSpotNo;
    }

    public void setBaseSpotNo(String baseSpotNo) {
        this.baseSpotNo = baseSpotNo == null ? null : baseSpotNo.trim();
    }

    public String getBaseSpotName() {
        return baseSpotName;
    }

    public void setBaseSpotName(String baseSpotName) {
        this.baseSpotName = baseSpotName == null ? null : baseSpotName.trim();
    }

    public String getMeterClass() {
        return meterClass;
    }

    public void setMeterClass(String meterClass) {
        this.meterClass = meterClass == null ? null : meterClass.trim();
    }

    public String getMeterGroup() {
        return meterGroup;
    }

    public void setMeterGroup(String meterGroup) {
        this.meterGroup = meterGroup == null ? null : meterGroup.trim();
    }

    public String getGradeNo() {
        return gradeNo;
    }

    public void setGradeNo(String gradeNo) {
        this.gradeNo = gradeNo == null ? null : gradeNo.trim();
    }

    public String getGradeName() {
        return gradeName;
    }

    public void setGradeName(String gradeName) {
        this.gradeName = gradeName == null ? null : gradeName.trim();
    }

    public String getSpecNo() {
        return specNo;
    }

    public void setSpecNo(String specNo) {
        this.specNo = specNo == null ? null : specNo.trim();
    }

    public String getSpecName() {
        return specName;
    }

    public void setSpecName(String specName) {
        this.specName = specName == null ? null : specName.trim();
    }

    public BigDecimal getSingleWeight() {
        return singleWeight;
    }

    public void setSingleWeight(BigDecimal singleWeight) {
        this.singleWeight = singleWeight;
    }

    public Date getProductDate() {
        return productDate;
    }

    public void setProductDate(Date productDate) {
        this.productDate = productDate;
    }

    public String getValueFlag() {
        return valueFlag;
    }

    public void setValueFlag(String valueFlag) {
        this.valueFlag = valueFlag == null ? null : valueFlag.trim();
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo == null ? null : memo.trim();
    }

    public String getCreateManNo() {
        return createManNo;
    }

    public void setCreateManNo(String createManNo) {
        this.createManNo = createManNo == null ? null : createManNo.trim();
    }

    public String getCreateManName() {
        return createManName;
    }

    public void setCreateManName(String createManName) {
        this.createManName = createManName == null ? null : createManName.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUpdateManNo() {
        return updateManNo;
    }

    public void setUpdateManNo(String updateManNo) {
        this.updateManNo = updateManNo == null ? null : updateManNo.trim();
    }

    public String getUpdateManName() {
        return updateManName;
    }

    public void setUpdateManName(String updateManName) {
        this.updateManName = updateManName == null ? null : updateManName.trim();
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getWeightType() {
        return weightType;
    }

    public void setWeightType(String weightType) {
        this.weightType = weightType == null ? null : weightType.trim();
    }

    public BigDecimal getWeightDiff() {
        return weightDiff;
    }

    public void setWeightDiff(BigDecimal weightDiff) {
        this.weightDiff = weightDiff;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", singleWgtNo=").append(singleWgtNo);
        sb.append(", baseSpotNo=").append(baseSpotNo);
        sb.append(", baseSpotName=").append(baseSpotName);
        sb.append(", meterClass=").append(meterClass);
        sb.append(", meterGroup=").append(meterGroup);
        sb.append(", gradeNo=").append(gradeNo);
        sb.append(", gradeName=").append(gradeName);
        sb.append(", specNo=").append(specNo);
        sb.append(", specName=").append(specName);
        sb.append(", singleWeight=").append(singleWeight);
        sb.append(", productDate=").append(productDate);
        sb.append(", valueFlag=").append(valueFlag);
        sb.append(", memo=").append(memo);
        sb.append(", createManNo=").append(createManNo);
        sb.append(", createManName=").append(createManName);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateManNo=").append(updateManNo);
        sb.append(", updateManName=").append(updateManName);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", weightType=").append(weightType);
        sb.append(", weightDiff=").append(weightDiff);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}